package tutorialJava.capitulo4_Arrays;

import tutorialJava.UtilsArrays;

public class Ej03_ArraysDeCaracteres {

	public static void main(String[] args) {
//		char a[] = new char[] {'H', 'o', 'l', 'a'};
//		
//		for (int i = 0; i < a.length; i++) {
//			System.out.println((int) a[i]);
//		}
		
		
//		int a[] = new int[10];
//		UtilsArrays.inicializaArray(a, 97, 122);
//		for (int i = 0; i < a.length; i++) {
//			System.out.print(a[i]);
//			System.out.println(" " + ((char) a[i]));
//		}
		
		String str = "HolA";
		for (int i = 0; i < str.length(); i++) {
			int valorNumChar = (int) str.charAt(i);
			if (valorNumChar >= 97 && valorNumChar <=122) { // minúsculas
				System.out.print(str.charAt(i));
			}
			else {
				if (valorNumChar >= 65 && valorNumChar <= 90) { // mayúsculas
					System.out.print( (char) (valorNumChar + 32) );
				}
			}
		}
	}
}









